> ## Documentation Index
> Fetch the complete documentation index at: https://seam-feat-mintlify-migration-iteration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Assigning Credentials to ACS Users

> Learn how to assign existing credentials the ACS users and unassign credentials from ACS users.

This guide explains how to assign existing [credentials](./) to [ACS users](../user-management) and unassign credentials from users. Once you assign credentials to ACS users, these users can use the credentials to access areas and resources according to their permissions. When you unassign credentials from ACS users, these users can no longer use these specific credentials to access areas or resources.

***

## Assign a Credential to an ACS User

To [assign a credential to an ACS user](/api/acs/credentials/assign), provide both the `acs_user_id` and the `acs_credential_id`.

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.credentials.assign({
      acs_user_id: '33333333-3333-3333-3333-333333333333',
      acs_credential_id: '66666666-6666-6666-6666-666666666666',
    })
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential_id": "99999999-9999-9999-9999-999999999999",
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "display_name": "Multi Phone Sync Credential",
      "code": null,
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "access_method": "mobile_key",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2024-04-12T03:56:22.396Z",
      "is_multi_phone_sync_credential": true
      // manufacturer-specific metadata
    }
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    curl -X 'POST' \
      'https://connect.getseam.com/acs/credentials/assign' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "acs_credential_id": "66666666-6666-6666-6666-666666666666"
    }'
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential": {
        "acs_credential_id": "99999999-9999-9999-9999-999999999999",
        "acs_user_id": "33333333-3333-3333-3333-333333333333",
        "display_name": "Multi Phone Sync Credential",
        "code": null,
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "access_method": "mobile_key",
        "workspace_id": "00000000-0000-0000-0000-000000000000",
        "created_at": "2024-04-12T03:56:22.396Z",
        "is_multi_phone_sync_credential": true,
        # manufacturer-specific metadata
      },
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.credentials.assign(
      acs_user_id="33333333-3333-3333-3333-333333333333",
      acs_credential_id="66666666-6666-6666-6666-666666666666"
    )
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```
    AcsCredential(
      acs_credential_id='99999999-9999-9999-9999-999999999999',
      acs_user_id='33333333-3333-3333-3333-333333333333',
      display_name='Multi Phone Sync Credential',
      code=null,
      acs_system_id='11111111-1111-1111-1111-111111111111',
      access_method='mobile_key',
      workspace_id='00000000-0000-0000-0000-000000000000',
      created_at='2024-04-12T03:56:22.396Z',
      is_multi_phone_sync_credential=True,
      # manufacturer-specific metadata
    )
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->credentials->assign(
      acs_user_id: "33333333-3333-3333-3333-333333333333",
      acs_credential_id: "66666666-6666-6666-6666-66666666"
    );
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential_id": "99999999-9999-9999-9999-999999999999",
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "display_name": "Multi Phone Sync Credential",
      "code": null,
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "access_method": "mobile_key",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2024-04-12T03:56:22.396Z",
      "is_multi_phone_sync_credential": true
      // manufacturer-specific metadata
    }
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.CredentialsAcs.Assign(
      acsUserId: "33333333-3333-3333-3333-333333333333",
      acsCredentialId: "66666666-6666-6666-6666-66666666"
    );
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential_id": "99999999-9999-9999-9999-999999999999",
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "display_name": "Multi Phone Sync Credential",
      "code": null,
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "access_method": "mobile_key",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2024-04-12T03:56:22.396Z",
      "is_multi_phone_sync_credential": true
      // manufacturer-specific metadata
    }
    ```
  </Tab>
</Tabs>

***

## Unassign a Credential from an ACS User

To [unassign a credential from an ACS user](/api/acs/credentials/unassign), provide both the `acs_user_id` and the `acs_credential_id`.

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.credentials.unassign({
      acs_user_id: '33333333-3333-3333-3333-333333333333',
      acs_credential_id: '66666666-6666-6666-6666-666666666666',
    })
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential_id": "99999999-9999-9999-9999-999999999999",
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "display_name": "Multi Phone Sync Credential",
      "code": null,
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "access_method": "mobile_key",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2024-04-12T03:56:22.396Z",
      "is_multi_phone_sync_credential": true
      // manufacturer-specific metadata
    }
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    curl -X 'POST' \
      'https://connect.getseam.com/acs/credentials/unassign' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "acs_credential_id": "66666666-6666-6666-6666-666666666666"
    }'
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential": {
        "acs_credential_id": "99999999-9999-9999-9999-999999999999",
        "acs_user_id": "33333333-3333-3333-3333-333333333333",
        "display_name": "Multi Phone Sync Credential",
        "code": null,
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "access_method": "mobile_key",
        "workspace_id": "00000000-0000-0000-0000-000000000000",
        "created_at": "2024-04-12T03:56:22.396Z",
        "is_multi_phone_sync_credential": true,
        # manufacturer-specific metadata
      },
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.credentials.unassign(
      acs_user_id="33333333-3333-3333-3333-333333333333",
      acs_credential_id="66666666-6666-6666-6666-666666666666"
    )
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```
    AcsCredential(
      acs_credential_id='99999999-9999-9999-9999-999999999999',
      acs_user_id='33333333-3333-3333-3333-333333333333',
      display_name='Multi Phone Sync Credential',
      code=null,
      acs_system_id='11111111-1111-1111-1111-111111111111',
      access_method='mobile_key',
      workspace_id='00000000-0000-0000-0000-000000000000',
      created_at='2024-04-12T03:56:22.396Z',
      is_multi_phone_sync_credential=True,
      # manufacturer-specific metadata
    )
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->credentials->unassign(
      acs_user_id: "33333333-3333-3333-3333-333333333333",
      acs_credential_id: "66666666-6666-6666-6666-66666666"
    );
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential_id": "99999999-9999-9999-9999-999999999999",
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "display_name": "Multi Phone Sync Credential",
      "code": null,
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "access_method": "mobile_key",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2024-04-12T03:56:22.396Z",
      "is_multi_phone_sync_credential": true
      // manufacturer-specific metadata
    }
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.CredentialsAcs.Unassign(
      acsUserId: "33333333-3333-3333-3333-333333333333",
      acsCredentialId: "66666666-6666-6666-6666-66666666"
    );
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential_id": "99999999-9999-9999-9999-999999999999",
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "display_name": "Multi Phone Sync Credential",
      "code": null,
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "access_method": "mobile_key",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2024-04-12T03:56:22.396Z",
      "is_multi_phone_sync_credential": true
      // manufacturer-specific metadata
    }
    ```
  </Tab>
</Tabs>
